Unable to find a specification for `xxxxx`问题解决记录

原创
2015/02/16 10:41
阅读数 4.1W

想运行https://github.com/gokush/GKCommerce中的代码,使用pod install --verbose --no-repo-update安装依赖库时总是出现提示Unable to find a specification for `xxxxx`的问题,在这里找到了解决方法:

只需要把当前Pod的目录清理一下就行了。在终端执行以下命令:

pod repo remove master  
pod setup

然后又遇到了提示`ImageMagick` required by `Podfile`问题,按照https://github.com/gokush/GKCommerce/issues/2中给出的解决方法,指定版本号6.8.8-9就解决问题了。

 

最后当然还是要用pod install --verbose --no-repo-update才行,用pod install会出现一直Analyzing dependencies

领个红包,支持一下作者

这是支付宝推出的一个最新活动,用支付宝扫码即有红包送,0元到99元不等,红包可以到店支付使用,每日仅可领一次。你每用一个红包,作者即可得到支付宝送出的1毛赏金,如果你觉得这篇文章对你有用,那不如扫码支持一下作者吧!

参考:

使用CocoaPods过程中的几个问题

Cocoapods国内速度问题

展开阅读全文
打赏
1
1 收藏
分享
加载中
更多评论
打赏
0 评论
1 收藏
1
分享
返回顶部
顶部